Berkeley DB version 4.3.27

## com.sleepycat.collections
Interface PrimaryKeyAssigner

public interface PrimaryKeyAssigner

An interface implemented to assign new primary key values. An implementation of this interface is passed to the `StoredMap` or `StoredSortedMap` constructor to assign primary keys for that store. Key assignment occurs when `StoredMap.append()` is called.

Method Summary
`void` `assignKey(DatabaseEntry keyData)` Assigns a new primary key value into the given data buffer.

Method Detail

### assignKey

    public void assignKey(DatabaseEntry keyData)
                   throws DatabaseException

  Assigns a new primary key value into the given data buffer.

  Throws:
    `DatabaseException`

Berkeley DB version 4.3.27

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.